/*******************************************************************************
 * FoxHudMinigameInteraction generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class FoxHudMinigameInteraction extends FoxHudMiniGameUse within GFxMoviePlayer
    native(HUD)
    config(HUD);

function InitializeUseMiniGame(string UseText, string IconRef, FoxHudMiniGameUse.UseMiniGameAction MiniGameActionType, delegate<OnUseComplete> OnUseCompleteDelegate, optional float UseTime, optional bool bAutoStartMinigame, optional string iconColor)
{
    SetIconVisiblity(PCOwner.MyFoxPawn.CurrentZoomState == 0);
    // End:0x8A
    if(IconRef != "")
    {
        SetIconRef(class'ZeMovieBase'.static.MarkupImageString(IconRef));
    }
    SetSkillProgress(0.0);
    SetUsetext(UseText);
    MiniGameType = MiniGameActionType;
    //return;    
}
